path: /build/build/macaroni-funtoo-race16-seed-0.20250906.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp && ls
    -l /etc/ && ls -l /etc/anise && cd /etc/ && ln -s anise/ luet && ls -l /etc/ &&
    cat /etc/luet/luet.yaml && anise repo update
  - anise install virtual-entities/base --force
  - anise repo update && anise upgrade --force && anise install --force system/luet-devkit
    app-misc/yq-go app-misc/jq app-admin/macaronictl dev-util/pkgs-checker kernel/macaroni-lts-sources
    && eselect kernel set 1 && luet cleanup
  - luet miner ri virtual/base virtual/sh && luet repo update && luet upgrade && luet
    i toolchain/base-extra toolchain/base-python toolchain/base-tools toolchain/base-tools2
    toolchain/base-xorg toolchain/base-xorg2 toolchain/fonts toolchain/base-gtk toolchain/base-gtk2
    toolchain/base-editors toolchain/xorg-base toolchain/base-net toolchain/base-lang
    toolchain/base-fs toolchain/db toolchain/base-qt toolchain/base-audio toolchain/base-video
    toolchain/base-multimedia toolchain/base-text toolchain/base-latex toolchain/base-multimedia2
    toolchain/boot toolchain/shells toolchain/base-qt2 toolchain/base-gnome toolchain/base-gnome2
    toolchain/portage-tools toolchain/qt6 toolchain/base-gnome3 toolchain/release
    toolchain/base-net2 toolchain/nvidia toolchain/base-multimedia3 toolchain/base-gnome4
    toolchain/base-kde toolchain/tools toolchain/firmware && luet cleanup && /usr/bin/gcc-config
    1 && eselect gcc set 1 && mkdir -p /var/lib/portage && epro list && eval 'rm /etc/localtime
    || true' && ln -s /usr/share/zoneinfo/Europe/Rome /etc/localtime && luet miner
    ri libxml2 && macaronictl env-update && eval 'locale-gen || true' && build-docbook-catalog
    && whip h eclass_db.db_fix_so perl.postinst && whip h qt5.qconfig_gen && whip
    h sgml.update_catalog && eselect rust set 1 && eselect ruby set 1 && eselect postgresql
    set 13 && cd / && rm -rf /luetbuild && eval 'mkdir -p /run || true' && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles
    https://distfiles.macaronios.org/mark-distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race16
    version: "0.20250906"
    category: seed
    hidden: true
    buildtimestamp: 2025-09-06 08:33:57.31125286 +0000 UTC m=+3058.539660457
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:1aba6fdcb818c173092a7dfcc1c5d5d546750969e1b1e4cf484cb804b3362475
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race16
  version: "0.20250906"
  category: seed
  hidden: true
